﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace XamMultiColumnComboAlternativeCase
{
    class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        private string[] names = { "Sufyan", "Yasir", "Asim", "Hameed", "Khan" };
        private string country = "Pakistan";
        private DateTime date = new DateTime(2014, 7, 23);
        
        

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            for (int i = 0; i < names.Length; i++)
            {
                Data.Add(new SampleData
                {
                    Name = names[i],
                    Country = country,
                    Date = date,
                    B = "Button",
                    CB = "Checkbox"
                });
            }
        }
    }

    public class SampleData
    {
        public string Name { get; set; }
        public string Country { get; set; }
        public DateTime Date { get; set; }
        public string B { get; set; }
        public string CB { get; set; }
    }
}
